Subject: Re: linux-next: manual merge of the hwmon-staging tree with the jdelvare-hwmon tree

From: Jean Delvare <[email-masked]>
Date: Mon, 10 Jan 2011 09:57:43 +0100

On Sun, 9 Jan 2011 19:46:38 -0800, Guenter Roeck wrote:
> On Sun, Jan 09, 2011 at 09:20:57PM -0500, Stephen Rothwell wrote:
> > Hi Guenter,
> > 
> > Today's linux-next merge of the hwmon-staging tree got a conflict in
> > drivers/hwmon/dme1737.c between commit
> > b7f2a5c8c9190fcf0126d43972a8ad37eb98f5d0 ("hwmon: (dme1737) Minor
> > cleanups") from the jdelvare-hwmon tree and commit
> > 9c6e13b411cf0f656b7d7a78ec35bf0069f631bb ("hwmon: (dme1737) Use pr_fmt
> > and pr_<level>") from the hwmon-staging tree.
> > 
> > Just context changes.  I fixed it up (see below) and can carry the fix as
> > necessary.
> > -- 
> > Cheers,
> > Stephen Rothwell                    [email-masked]
> > 
> Hi Stephen,
> 
> thanks for the note. I suspected that would happen - sorry for the trouble.
> 
> Jean, do you want to take Joe's pr_fmt change from my tree and apply it to yours,
> or should we just wait until the first of the trees was merged into Linus' tree ?
> If the latter, do you want to send your patches to Linus first, or should I go first ?
> I am ready to go.

Let's be good citizens and sort out the conflict before sending the
patches to Linus. I shall pick the pr_fmt change patch in my own tree.

But where do I pick it?
ftp://pub.kernel.org/pub/linux/kernel/people/groeck/linux-staging/ is
no longer relevant, right? Maybe you can delete it altogether to clear
up the confusion. Care to point me to somewhere I can download the
pr_fmt change patch?

As for sending your patches to Linus for 2.6.38, yes, please send them
as soon as possible. I am still not done processing all the mails I
received during my vacation, and I must send my i2c patches too, so
it's better if you don't wait for me and send your patches first.

Thanks,
-- 
Jean Delvare